Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.security
Class ResourceId

    java.lang.Object
      weblogic.security.ResourceId

    public class ResourceId

extends Object

The `ResourceId` class provides an API for creating WebLogic Server security resource identifiers from a `Map` that describes the resource type and resource key values.

In addition the `ResourceId` class provides a way to obtain a `Map` from a WebLogic Server resource identifier that describes the resource type and resource key values. The `Map` will always have the RESOURCE_TYPE key.

Field Summary
`static String` | `RESOURCE_TYPE` The key used to put or get the security resource type.

Constructor Summary
`ResourceId()`

Method Summary
`static Map` | `getMapFromResourceId(String resourceId)` Returns a `Map` of keys and key values based on a security resource identifier.
`static String[]` | `getParentResourceIds(String resourceId)` Returns an ordered list of parent security resource identifiers based on the supplied resource identifier.
`static String` | `getResourceIdFromMap(Map resourceData)` Returns a security resource identifier based on resource type and resource key values present in a `Map`.
`static String[]` | `getResourceKeyNames(String resourceType)` Returns an ordered list of all key names for a resource type.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### RESOURCE_TYPE

    public static final String RESOURCE_TYPE

  The key used to put or get the security resource type. The value is a `String` object.

  See Also:
    Constant Field Values

Constructor Detail

### ResourceId

    public ResourceId()

Method Detail

### getResourceIdFromMap

    public static String getResourceIdFromMap(Map resourceData)
                                       throws IllegalArgumentException

  Returns a security resource identifier based on resource type and resource key values present in a `Map`.

  Parameters:
    `resourceData` - a `Map` representing security resource data
  Returns:
    a String representing `Resource.toString()`
  Throws:
    `IllegalArgumentException` - when unable to create a resource id because of an unknown resource type or invalid resource key
  See Also:
    `Resource`

### getMapFromResourceId

    public static Map getMapFromResourceId(String resourceId)
                                    throws IllegalArgumentException

  Returns a `Map` of keys and key values based on a security resource identifier.

  Parameters:
    `resourceId` - a security resource identifier
  Returns:
    a Map representing key values from the resource id
  Throws:
    `IllegalArgumentException` - for an invalid resource id
  See Also:
    `Resource`

### getResourceKeyNames

    public static String[] getResourceKeyNames(String resourceType)
                                        throws IllegalArgumentException

  Returns an ordered list of all key names for a resource type. The keys can be used to obtain values from a `Map`.

  Parameters:
    `resourceType` - a security resource type
  Returns:
    a String[] representing the ordered list of all key names
  Throws:
    `IllegalArgumentException` - for an invalid resource type

### getParentResourceIds

    public static String[] getParentResourceIds(String resourceId)
                                         throws IllegalArgumentException

  Returns an ordered list of parent security resource identifiers based on the supplied resource identifier.

  The immediate parent is located at the starting array element and an empty (zero length) array indicates no parents.

  Parameters:
    `resourceId` - a security resource identifier
  Returns:
    a String[] representing the parent resource identifiers
  Throws:
    `IllegalArgumentException` - for an invalid resource id
  See Also:
    `Resource`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD